es.gob.fnmt.nfc

## Interface NFCCommReaderFragment.NFCCommReaderFragmentListener

- Enclosing class:
    NFCCommReaderFragment

      public static interface NFCCommReaderFragment.NFCCommReaderFragmentListener

  Interface to notify about events in the reading process.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify` Event type `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.ENABLE_NFC_READER` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.READER_CLOSE` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.ERROR` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.NFC_TASK_INIT` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.NFC_TASK_UPDATE` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.NFC_TASK_DONE` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.NFC_TASK_FINISHED` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.FINAL_TASK_INIT` `NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify.FINAL_TASK_DONE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doNotify(NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify notify, java.lang.String msg)` Notification callback about the reading process.
    `de.tsenger.androsmex.data.CANSpecDO` | `getCanToStore(java.security.KeyStore keyStore, java.lang.String can)` Ask for the information of the CAN to store.

- - ### Method Detail

    - #### doNotify

          void doNotify(NFCCommReaderFragment.NFCCommReaderFragmentListener.NFC_callback_notify notify,
                        java.lang.String msg)

      Notification callback about the reading process.
      Parameters:
        `notify` - type of event notification.
        `msg` - additional information of the event (may be null).

    - #### getCanToStore

          de.tsenger.androsmex.data.CANSpecDO getCanToStore(java.security.KeyStore keyStore,
                                                            java.lang.String can)
                                                     throws java.security.KeyStoreException

      Ask for the information of the CAN to store.
      Parameters:
        `keyStore` - to recover information about the keys and certificates availables in the device.
        `can` - the CAN tag.
      Returns:
        the CAN with the information required.
      Throws:
        `java.security.KeyStoreException`